> ## Documentation Index
> Fetch the complete documentation index at: https://developers.dwolla.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a customer

> Update Customer information, upgrade an unverified Customer to a verified Customer, suspend a Customer, deactivate a Customer, reactivate a Customer, and update a verified Customer's information to retry verification.



## OpenAPI

````yaml post /customers/{id}
openapi: 3.1.0
info:
  title: Dwolla API
  description: Dwolla API Documentation
  contact:
    name: Dwolla Developer Relations Team
    url: https://developers.dwolla.com
    email: api@dwolla.com
  version: '2.0'
  termsOfService: https://www.dwolla.com/legal/tos/
  license:
    name: MIT
    url: https://github.com/Dwolla/dwolla-openapi/blob/master/LICENSE
servers:
  - url: https://api.dwolla.com
    description: Production server
  - url: https://api-sandbox.dwolla.com
    description: Sandbox server
security:
  - clientCredentials: []
tags:
  - name: tokens
    description: Operations related to Application Access Tokens
  - name: root
    description: Root API operations
  - name: accounts
    description: Operations related to Accounts
  - name: customers
    description: Operations related to Customers
  - name: kba
    description: Operations related to Knowledge-Based Authentication
  - name: beneficial owners
    description: Operations related to Beneficial Owners
  - name: documents
    description: Operations related to Documents
  - name: exchanges
    description: Operations related to Exchanges
  - name: exchange sessions
    description: Operations related to Exchange Sessions
  - name: funding sources
    description: Operations related to Funding Sources
  - name: transfers
    description: Operations related to Transfers
  - name: labels
    description: Operations related to Labels
  - name: mass payments
    description: Operations related to Mass Payments
  - name: events
    description: Operations related to Events
  - name: webhook subscriptions
    description: Operations related to Webhook Subscriptions
  - name: webhooks
    description: Operations related to Webhooks
  - name: client tokens
    description: Operations related to Client Tokens
  - name: sandbox simulations
    description: Sandbox-only operations for simulating processing of bank transfers
paths:
  /customers/{id}:
    post:
      tags:
        - customers
      summary: Update a customer
      description: >-
        Update Customer information, upgrade an unverified Customer to a
        verified Customer, suspend a Customer, deactivate a Customer, reactivate
        a Customer, and update a verified Customer's information to retry
        verification.
      operationId: update
      parameters:
        - name: id
          in: path
          description: Customer unique identifier
          required: true
          schema:
            type: string
        - $ref: '#/components/parameters/Accept'
      requestBody:
        required: true
        description: Parameters for updating a Customer
        content:
          application/json:
            schema:
              oneOf:
                - $ref: '#/components/schemas/DeactivateCustomer'
                - $ref: '#/components/schemas/ReactivateCustomer'
                - $ref: '#/components/schemas/SuspendCustomer'
                - $ref: '#/components/schemas/UpdateUnverifiedAndReceiveOnly'
                - $ref: '#/components/schemas/UpdateVerifiedPersonal'
                - $ref: '#/components/schemas/UpdateVerifiedBusiness'
                - $ref: '#/components/schemas/UpgradeToUnverified'
                - $ref: '#/components/schemas/UpgradeToVerifiedPersonal'
                - $ref: '#/components/schemas/UpgradeToVerifiedBusiness'
                - $ref: '#/components/schemas/UpgradeToVerifiedSoleProp'
                - $ref: '#/components/schemas/RetryVerifiedPersonal'
                - $ref: '#/components/schemas/RetryVerifiedBusinessNoController'
                - $ref: '#/components/schemas/RetryVerifiedBusinessWithController'
                - $ref: >-
                    #/components/schemas/RetryVerifiedBusinessWithInternationalController
                - $ref: '#/components/schemas/RetryVerifiedSoleProp'
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            application/vnd.dwolla.v1.hal+json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/UnverifiedCustomer'
                  - $ref: '#/components/schemas/ReceiveOnlyCustomer'
                  - $ref: '#/components/schemas/VerifiedPersonalCustomer'
                  - $ref: '#/components/schemas/VerifiedSolePropCustomer'
                  - $ref: '#/components/schemas/VerifiedBusinessCustomer'
        '400':
          description: bad request
          headers: {}
          content:
            application/vnd.dwolla.v1.hal+json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    example: badRequest
                  message:
                    type: string
                    example: Duplicate customer or validation error.
        '403':
          description: forbidden
          headers: {}
          content:
            application/vnd.dwolla.v1.hal+json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    example: forbidden
                  message:
                    type: string
                    example: Not authorized to update a customer.
      x-codeSamples:
        - lang: bash
          source: >
            POST
            https://api-sandbox.dwolla.com/customers/FC451A7A-AE30-4404-AB95-E3553FCD733F

            Content-Type: application/json

            Accept: application/vnd.dwolla.v1.hal+json

            Authorization: Bearer
            pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY


            {
              "firstName": "John",
              "lastName": "Doe",
              "email": "johndoe@example.com"
            }
        - lang: javascript
          source: |
            // Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node
            dwolla
              .post("customers/FC451A7A-AE30-4404-AB95-E3553FCD733F", {
                firstName: "John",
                lastName: "Doe",
                email: "johndoe@example.com"
              })
              .then((res) => res.body);
        - lang: python
          source: >
            # Using dwollav2 - https://github.com/Dwolla/dwolla-v2-python

            customer =
            app_token.post('customers/FC451A7A-AE30-4404-AB95-E3553FCD733F', {
                'firstName': 'John',
                'lastName': 'Doe',
                'email': 'johndoe@example.com'
            })

            customer.body
        - lang: php
          source: >
            <?php

            // Using dwollaswagger -
            https://github.com/Dwolla/dwolla-swagger-php

            $customersApi = new DwollaSwagger\CustomersApi($apiClient);

            $customer =
            $customersApi->updateCustomer("FC451A7A-AE30-4404-AB95-E3553FCD733F",
            [
                'firstName' => 'John',
                'lastName' => 'Doe',
                'email' => 'johndoe@example.com'
            ]);

            ?>
        - lang: ruby
          source: >
            # Using dwolla_v2 - https://github.com/Dwolla/dwolla-v2-ruby

            customer = app_token.post
            "customers/FC451A7A-AE30-4404-AB95-E3553FCD733F", {
              firstName: "John",
              lastName: "Doe",
              email: "johndoe@example.com"
            }
components:
  parameters:
    Accept:
      name: Accept
      in: header
      required: true
      description: >-
        The media type of the response. Must be
        application/vnd.dwolla.v1.hal+json
      schema:
        type: string
        enum:
          - application/vnd.dwolla.v1.hal+json
        default: application/vnd.dwolla.v1.hal+json
  schemas:
    DeactivateCustomer:
      title: DeactivateCustomer
      description: Deactivate a Customer
      type: object
      required:
        - status
      properties:
        status:
          type: string
          example: deactivated
    ReactivateCustomer:
      title: ReactivateCustomer
      description: Reactivate a Customer
      type: object
      required:
        - status
      properties:
        status:
          type: string
          example: reactivated
    SuspendCustomer:
      title: SuspendCustomer
      description: Suspend a Customer
      type: object
      required:
        - status
      properties:
        status:
          type: string
          example: suspended
    UpdateUnverifiedAndReceiveOnly:
      title: UpdateUnverifiedAndReceiveOnly
      description: Update Unverified Customer or Receive Only User Information
      type: object
      properties:
        firstName:
          type: string
          example: John
        lastName:
          type: string
          example: Doe
        email:
          type: string
          example: accountAdmin@email.com
        businessName:
          type: string
          example: Jane Corp
    UpdateVerifiedPersonal:
      title: UpdateVerifiedPersonal
      description: Update Verified Personal Customer Information
      type: object
      properties:
        email:
          type: string
          example: accountAdmin@email.com
        ipAddress:
          type: string
          example: 143.156.7.8
        address1:
          type: string
          example: 123 Main Street
        address2:
          type: string
          example: XYZ Suite
        city:
          type: string
          example: Des Moines
        state:
          type: string
          example: IA
        postalCode:
          type: string
          example: '50309'
        phone:
          type: string
          example: '5555555555'
    UpdateVerifiedBusiness:
      title: UpdateVerifiedBusiness
      description: >-
        Update Verified Business Customer Information (both Sole Proprietorship
        and Non-Sole Proprietorship)
      allOf:
        - $ref: '#/components/schemas/UpdateVerifiedPersonal'
        - type: object
          properties:
            doingBusinessAs:
              type: string
              example: Jane's Electronics
            website:
              type: string
              example: https://www.domain.com
    UpgradeToUnverified:
      title: UpgradeToUnverified
      description: Upgrade Receive Only User to Unverified Customer
      type: object
      required:
        - type
      properties:
        type:
          type: string
          example: unverified
    UpgradeToVerifiedPersonal:
      title: UpgradeToVerifiedPersonal
      description: Upgrade Unverified Customer to Verified Personal Customer
      type: object
      required:
        - firstName
        - lastName
        - email
        - address1
        - city
        - state
        - postalCode
        - dateOfBirth
        - type
        - ssn
      properties:
        firstName:
          type: string
          example: John
        lastName:
          type: string
          example: Doe
        email:
          type: string
          example: johndoe@email.net
        ipAddress:
          type: string
          example: 10.10.10.10
        type:
          type: string
          example: personal
        address1:
          type: string
          example: 99-99 33rd St
        city:
          type: string
          example: Some City
        state:
          type: string
          example: NY
        postalCode:
          type: string
          example: '11101'
        dateOfBirth:
          type: string
          example: '1970-01-01'
        ssn:
          type: string
          example: '1234'
    UpgradeToVerifiedBusiness:
      title: UpgradeToVerifiedBusiness
      description: Upgrade Unverified Customer to Verified Business Customer
      type: object
      required:
        - firstName
        - lastName
        - email
        - type
        - address1
        - city
        - state
        - postalCode
        - controller
        - businessClassification
        - businessType
        - businessName
        - ein
      properties:
        firstName:
          type: string
          example: Account
        lastName:
          type: string
          example: Admin
        email:
          type: string
          example: accountAdmin@email.com
        ipAddress:
          type: string
          example: 143.156.7.8
        type:
          type: string
          example: business
        address1:
          type: string
          example: 99-99 33rd St
        city:
          type: string
          example: Some City
        state:
          type: string
          example: NY
        postalCode:
          type: string
          example: '11101'
        controller:
          type: object
          required:
            - firstName
            - lastName
            - title
            - dateOfBirth
            - address
          properties:
            firstName:
              type: string
              example: John
            lastName:
              type: string
              example: Controller
            title:
              type: string
              example: CEO
            ssn:
              type: string
              example: '6789'
            dateOfBirth:
              type: string
              example: '1980-01-31'
            address:
              type: object
              required:
                - address1
                - city
                - stateProvinceRegion
                - postalCode
                - country
              properties:
                address1:
                  type: string
                  example: 1749 18th st
                address2:
                  type: string
                  example: apt 12
                city:
                  type: string
                  example: Des Moines
                stateProvinceRegion:
                  type: string
                  example: IA
                postalCode:
                  type: string
                  example: '50266'
                country:
                  type: string
                  example: US
        businessClassification:
          type: string
          example: 9ed3f670-7d6f-11e3-b1ce-5404a6144203
        businessType:
          type: string
          example: llc
        businessName:
          type: string
          example: Jane Corp
        ein:
          type: string
          example: 00-0000000
    UpgradeToVerifiedSoleProp:
      title: UpgradeToVerifiedSoleProp
      description: >-
        Upgrade Unverified Customer to Verified Business Customer (Sole
        Proprietorship)
      type: object
      required:
        - firstName
        - lastName
        - email
        - type
        - dateOfBirth
        - ssn
        - address1
        - city
        - state
        - postalCode
        - businessClassification
        - businessType
        - businessName
        - ein
      properties:
        firstName:
          type: string
          example: Business
        lastName:
          type: string
          example: Owner
        email:
          type: string
          example: solePropBusiness@email.com
        ipAddress:
          type: string
          example: 143.156.7.8
        type:
          type: string
          example: business
        dateOfBirth:
          type: string
          example: '1980-01-31'
        ssn:
          type: string
          example: '6789'
        address1:
          type: string
          example: 99-99 33rd St
        city:
          type: string
          example: Some City
        state:
          type: string
          example: NY
        postalCode:
          type: string
          example: '11101'
        businessClassification:
          type: string
          example: 9ed3f670-7d6f-11e3-b1ce-5404a6144203
        businessType:
          type: string
          example: soleProprietorship
        businessName:
          type: string
          example: Jane Corp
        ein:
          type: string
          example: 00-0000000
    RetryVerifiedPersonal:
      title: RetryVerifiedPersonal
      description: Retry Verification for Verified Personal Customer
      type: object
      required:
        - firstName
        - lastName
        - email
        - address1
        - city
        - state
        - postalCode
        - dateOfBirth
        - type
        - ssn
      properties:
        firstName:
          type: string
          example: John
        lastName:
          type: string
          example: Doe
        email:
          type: string
          example: johndoe@email.net
        ipAddress:
          type: string
          example: 10.10.10.10
        type:
          type: string
          example: personal
        address1:
          type: string
          example: 99-99 33rd St
        city:
          type: string
          example: Some City
        state:
          type: string
          example: NY
        postalCode:
          type: string
          example: '11101'
        dateOfBirth:
          type: string
          example: '1970-01-01'
        ssn:
          type: string
          example: '1234'
    RetryVerifiedBusinessNoController:
      title: RetryVerifiedBusinessNoController
      description: >-
        Retry Verification for Verified Business Customer where only Business
        Details need to be retried
      type: object
      required:
        - firstName
        - lastName
        - email
        - type
        - address1
        - city
        - state
        - postalCode
        - businessClassification
        - businessType
        - businessName
        - ein
      properties:
        firstName:
          type: string
          example: Account
        lastName:
          type: string
          example: Admin
        email:
          type: string
          example: accountAdmin@email.com
        ipAddress:
          type: string
          example: 143.156.7.8
        type:
          type: string
          example: business
        address1:
          type: string
          example: 99-99 33rd St
        city:
          type: string
          example: Some City
        state:
          type: string
          example: NY
        postalCode:
          type: string
          example: '11101'
        businessClassification:
          type: string
          example: 9ed3f670-7d6f-11e3-b1ce-5404a6144203
        businessType:
          type: string
          example: llc
        businessName:
          type: string
          example: Jane Corp
        ein:
          type: string
          example: 00-0000000
    RetryVerifiedBusinessWithController:
      title: RetryVerifiedBusinessWithController
      description: >-
        Retry Verification for Verified Business Customer where Business Details
        as well as Controller Details need to be retried
      type: object
      required:
        - firstName
        - lastName
        - email
        - type
        - address1
        - city
        - state
        - postalCode
        - controller
        - businessClassification
        - businessType
        - businessName
        - ein
      properties:
        firstName:
          type: string
          example: Account
        lastName:
          type: string
          example: Admin
        email:
          type: string
          example: accountAdmin@email.com
        ipAddress:
          type: string
          example: 143.156.7.8
        type:
          type: string
          example: business
        address1:
          type: string
          example: 99-99 33rd St
        city:
          type: string
          example: Some City
        state:
          type: string
          example: NY
        postalCode:
          type: string
          example: '11101'
        controller:
          type: object
          required:
            - firstName
            - lastName
            - title
            - ssn
            - dateOfBirth
            - address
          properties:
            firstName:
              type: string
              example: John
            lastName:
              type: string
              example: Controller
            title:
              type: string
              example: CEO
            ssn:
              type: string
              example: '123456789'
            dateOfBirth:
              type: string
              example: '1980-01-31'
            address:
              type: object
              required:
                - address1
                - city
                - stateProvinceRegion
                - postalCode
                - country
              properties:
                address1:
                  type: string
                  example: 1749 18th st
                address2:
                  type: string
                  example: apt 12
                city:
                  type: string
                  example: Des Moines
                stateProvinceRegion:
                  type: string
                  example: IA
                postalCode:
                  type: string
                  example: '50266'
                country:
                  type: string
                  example: US
        businessClassification:
          type: string
          example: 9ed3f670-7d6f-11e3-b1ce-5404a6144203
        businessType:
          type: string
          example: llc
        businessName:
          type: string
          example: Jane Corp
        ein:
          type: string
          example: 00-0000000
    RetryVerifiedBusinessWithInternationalController:
      title: RetryVerifiedBusinessWithInternationalController
      description: >-
        Retry Verification for Verified Business Customer where Business Details
        as well as International Controller Details need to be retried
      type: object
      required:
        - firstName
        - lastName
        - email
        - type
        - address1
        - city
        - state
        - postalCode
        - controller
        - businessClassification
        - businessType
        - businessName
        - ein
      properties:
        firstName:
          type: string
          example: Account
        lastName:
          type: string
          example: Admin
        email:
          type: string
          example: accountAdmin@email.com
        ipAddress:
          type: string
          example: 143.156.7.8
        type:
          type: string
          example: business
        address1:
          type: string
          example: 99-99 33rd St
        city:
          type: string
          example: Some City
        state:
          type: string
          example: NY
        postalCode:
          type: string
          example: '11101'
        controller:
          type: object
          required:
            - firstName
            - lastName
            - title
            - dateOfBirth
            - address
            - passport
          properties:
            firstName:
              type: string
              example: John
            lastName:
              type: string
              example: Controller
            title:
              type: string
              example: CEO
            dateOfBirth:
              type: string
              example: '1980-01-31'
            address:
              type: object
              required:
                - address1
                - city
                - country
                - stateProvinceRegion
              properties:
                address1:
                  type: string
                  example: 462 Main Street
                address2:
                  type: string
                  example: Suite 123
                address3:
                  type: string
                  example: Unit 123
                city:
                  type: string
                  example: Des Moines
                postalCode:
                  type: string
                  example: '50309'
                country:
                  type: string
                  example: USA
                stateProvinceRegion:
                  type: string
                  example: IA
            passport:
              type: object
              required:
                - number
                - country
              properties:
                number:
                  type: string
                country:
                  type: string
        businessClassification:
          type: string
          example: 9ed3f670-7d6f-11e3-b1ce-5404a6144203
        businessType:
          type: string
          example: llc
        businessName:
          type: string
          example: Jane Corp
        ein:
          type: string
          example: 00-0000000
    RetryVerifiedSoleProp:
      title: RetryVerifiedSoleProp
      description: Retry Verification for Verified Business Customer (Sole Proprietorship)
      type: object
      required:
        - firstName
        - lastName
        - email
        - type
        - dateOfBirth
        - ssn
        - address1
        - city
        - state
        - postalCode
        - businessClassification
        - businessType
        - businessName
        - ein
      properties:
        firstName:
          type: string
          example: Business
        lastName:
          type: string
          example: Owner
        email:
          type: string
          example: solePropBusiness@email.com
        ipAddress:
          type: string
          example: 143.156.7.8
        type:
          type: string
          example: business
        dateOfBirth:
          type: string
          example: '1980-01-31'
        ssn:
          type: string
          example: '6789'
        address1:
          type: string
          example: 99-99 33rd St
        city:
          type: string
          example: Some City
        state:
          type: string
          example: NY
        postalCode:
          type: string
          example: '11101'
        businessClassification:
          type: string
          example: 9ed3f670-7d6f-11e3-b1ce-5404a6144203
        businessType:
          type: string
          example: soleProprietorship
        businessName:
          type: string
          example: Jane Corp
        ein:
          type: string
          example: 00-0000000
    UnverifiedCustomer:
      title: UnverifiedCustomer
      description: Unverified customer - basic customer type with no KYC verification
      allOf:
        - $ref: '#/components/schemas/BaseCustomer'
        - type: object
          required:
            - type
            - status
          properties:
            type:
              type: string
              enum:
                - unverified
              example: unverified
            status:
              type: string
              enum:
                - unverified
                - suspended
                - deactivated
              example: unverified
            businessName:
              type: string
              example: Jane Corp llc
    ReceiveOnlyCustomer:
      title: ReceiveOnlyCustomer
      description: Receive-only user - can only receive funds, not send
      allOf:
        - $ref: '#/components/schemas/BaseCustomer'
        - type: object
          required:
            - type
            - status
          properties:
            type:
              type: string
              enum:
                - receive-only
              example: receive-only
            status:
              type: string
              enum:
                - unverified
                - suspended
                - deactivated
              example: unverified
            businessName:
              type: string
              example: Jane Corp llc
    VerifiedPersonalCustomer:
      title: VerifiedPersonalCustomer
      description: >-
        Verified personal customer - fully KYC verified individual with send and
        receive capabilities
      allOf:
        - $ref: '#/components/schemas/BaseCustomer'
        - type: object
          required:
            - type
            - status
            - address1
            - city
            - state
            - postalCode
          properties:
            type:
              type: string
              enum:
                - personal
              example: personal
            status:
              type: string
              enum:
                - verified
                - suspended
                - deactivated
                - document
                - retry
                - kba
              example: verified
            address1:
              type: string
              example: 123 Main Street
            address2:
              type: string
              example: Ste 123
            city:
              type: string
              example: Des Moines
            state:
              type: string
              example: IA
            postalCode:
              type: string
              example: '50309'
    VerifiedSolePropCustomer:
      title: VerifiedSolePropCustomer
      description: >-
        Verified sole proprietorship customer - distinguished from
        VerifiedBusinessCustomer by businessType=soleProprietorship
      allOf:
        - $ref: '#/components/schemas/BaseCustomer'
        - type: object
          required:
            - type
            - status
            - address1
            - city
            - state
            - postalCode
            - businessName
            - businessType
            - businessClassification
          properties:
            type:
              type: string
              enum:
                - business
              example: business
            status:
              type: string
              enum:
                - verified
                - suspended
                - deactivated
                - document
                - retry
              example: verified
            address1:
              type: string
              example: 123 Main Street
            address2:
              type: string
              example: Ste 123
            city:
              type: string
              example: Des Moines
            state:
              type: string
              example: IA
            postalCode:
              type: string
              example: '50309'
            businessName:
              type: string
              example: Jane Corp
            businessType:
              type: string
              enum:
                - soleProprietorship
              example: soleProprietorship
            businessClassification:
              type: string
              example: 9ed3f670-7d6f-11e3-b1ce-5404a6144203
    VerifiedBusinessCustomer:
      title: VerifiedBusinessCustomer
      description: >-
        Verified business customer (LLC, Corporation, Partnership) -
        distinguished from VerifiedSolePropCustomer by presence of a controller
        object
      allOf:
        - $ref: '#/components/schemas/BaseCustomer'
        - type: object
          required:
            - type
            - status
            - address1
            - city
            - state
            - postalCode
            - businessName
            - businessType
            - businessClassification
            - controller
          properties:
            type:
              type: string
              enum:
                - business
              example: business
            status:
              type: string
              enum:
                - verified
                - suspended
                - deactivated
                - document
                - retry
              example: verified
            address1:
              type: string
              example: 123 Main Street
            address2:
              type: string
              example: Ste 123
            city:
              type: string
              example: Des Moines
            state:
              type: string
              example: IA
            postalCode:
              type: string
              example: '50309'
            phone:
              type: string
              example: '555555555'
            website:
              type: string
              example: https://www.dwolla.com
            businessName:
              type: string
              example: Jane Corp
            doingBusinessAs:
              type: string
              example: Jane's Coffee and Sweets
            businessType:
              type: string
              enum:
                - llc
                - corporation
                - partnership
              example: llc
            businessClassification:
              type: string
              example: 9ed3f670-7d6f-11e3-b1ce-5404a6144203
            controller:
              type: object
              required:
                - firstName
                - lastName
                - title
                - address
              properties:
                firstName:
                  type: string
                  example: John
                lastName:
                  type: string
                  example: Controller
                title:
                  type: string
                  example: CEO
                address:
                  type: object
                  properties:
                    address1:
                      type: string
                      example: 462 Main Street
                    address2:
                      type: string
                      example: Suite 123
                    address3:
                      type: string
                      example: Unit 123
                    city:
                      type: string
                      example: Des Moines
                    postalCode:
                      type: string
                      example: '50309'
                    country:
                      type: string
                      example: USA
                    stateProvinceRegion:
                      type: string
                      example: IA
    BaseCustomer:
      title: BaseCustomer
      description: Base schema containing common fields for all customer types
      type: object
      required:
        - _links
        - id
        - firstName
        - lastName
        - email
        - created
      properties:
        _links:
          additionalProperties:
            $ref: '#/components/schemas/HalLink'
        id:
          type: string
          example: c41125c5-99c4-4303-a9f6-d066d28a61e3
        firstName:
          type: string
          example: Jane
        lastName:
          type: string
          example: Doe
        email:
          type: string
          example: janedoe@mail.com
        correlationId:
          type: string
          example: CID-abe2bb3d-d2ff-433b-95a3-0debd960ed25
        created:
          type: string
          format: date-time
          example: '2022-10-07T16:46:13.023Z'
    HalLink:
      title: HalLink
      type: object
      properties:
        href:
          type: string
          example: https://api.dwolla.com
        type:
          type: string
          example: application/vnd.dwolla.v1.hal+json
        resource-type:
          type: string
          example: resource-type
  securitySchemes:
    clientCredentials:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: /token
          x-speakeasy-token-endpoint-authentication: client_secret_basic
          scopes: {}

````